namespace IRaCIS.Core.Domain.Models;


[Comment("运维人员与项目关联关系表 - 实体")]
[Table("TrialUser")]
public class TrialUser : BaseFullDeleteAuditEntity
{
    #region 导航属性
    [JsonIgnore]
    public Trial Trial { get; set; }

    [JsonIgnore]
    [ForeignKey("UserId")]
    public User User { get; set; }
    #endregion

    public Guid UserId { get; set; }
    public Guid TrialId { get; set; }

    public DateTime? RemoveTime { get; set; }

    public DateTime? JoinTime { get; set; }
}
